git-annex/ git-annex-dropunused

# NAME

git-annex dropunused - drop unused file content

# SYNOPSIS

git annex dropunused `[number|range ...]`

# DESCRIPTION

Drops the data corresponding to the numbers, as listed by the last `git annex unused`

You can also specify ranges of numbers, such as "1-1000". Or, specify "all" to drop all unused data.

# OPTIONS

- `--from=remote`

  Rather than dropping the unused files from the local repository, drop them from the remote repository.

- `--force`

  Use this option with care! It bypasses safety checks, and forces git-annex to delete the content of the specified files, even from the last repository that is storing their content. Data loss can result from using this option.

- `--jobs=N` `-JN`

  Runs multiple drop jobs in parallel. This is particularly useful when git-annex has to contact remotes to check if it can drop content. For example: `-J4`

  Setting this to "cpus" will run one job per CPU core.

- `--json`

  Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

- `--json-error-messages`

  Messages that would normally be output to standard error are included in the JSON instead.

- Also the git-annex-common-options(1) can be used.

# SEE ALSO

git-annex(1)

git-annex-unused(1)

git-annex-drop(1)

git-annex-copy(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Comments on this page are closed.